/*===========================================================================*/
/*   (Llib/binary.scm)                                                       */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O4 -mklib -cc gcc-2.95 -fsharing -q -s -copt -DBGL_NO_PIC -unsafe -c Llib/binary.scm -indent -o objs/obj_u/Llib/binary.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <signal.h>

BGL_EXPORTED_DECL obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
extern obj_t output_obj(obj_t, obj_t);
static obj_t BGl__openzd2outputzd2binaryzd2file1665zd2zz__binaryz00(obj_t, obj_t);
static obj_t BGl__appendzd2outputzd2binaryzd2file1667zd2zz__binaryz00(obj_t, obj_t);
static obj_t BGl__inputzd2char1679zd2zz__binaryz00(obj_t, obj_t);
extern obj_t open_output_binary_file(obj_t);
BGL_EXPORTED_DECL obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t);
static obj_t BGl__closezd2binaryzd2port1671z00zz__binaryz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00();
BGL_EXPORTED_DECL obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
static obj_t BGl__outputzd2obj1675zd2zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__binaryz00 = BUNSPEC;
static obj_t BGl__inputzd2obj1673zd2zz__binaryz00(obj_t, obj_t);
extern obj_t open_input_binary_file(obj_t);
extern obj_t append_output_binary_file(obj_t);
BGL_EXPORTED_DECL obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t, char);
extern obj_t input_obj(obj_t);
static obj_t BGl__openzd2inputzd2binaryzd2file1669zd2zz__binaryz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t);
static obj_t BGl__outputzd2char1677zd2zz__binaryz00(obj_t, obj_t, obj_t);
extern obj_t close_binary_port(obj_t);
BGL_EXPORTED_DECL obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t, obj_t);
static obj_t BGl__binaryzd2portzf3z21zz__binaryz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_PROCEDURE( BGl_outputzd2objzd2envz00zz__binaryz00, BgL_bgl__outputza7d2obj1675za7d2za7za7__binaryza7001689za7, BGl__outputzd2obj1675zd2zz__binaryz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_appendzd2outputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl__appendza7d2outputza7d2binaryza7d2file1667za7d2za7za7__binaryza7001690za7, BGl__appendzd2outputzd2binaryzd2file1667zd2zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_closezd2binaryzd2portzd2envzd2zz__binaryz00, BgL_bgl__closeza7d2binaryza7d2port1671za700za7za7__binaryza7001691z00, BGl__closezd2binaryzd2port1671z00zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_outputzd2charzd2envz00zz__binaryz00, BgL_bgl__outputza7d2char1677za7d2za7za7__binaryza7001692za7, BGl__outputzd2char1677zd2zz__binaryz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_openzd2inputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl__openza7d2inputza7d2binaryza7d2file1669za7d2za7za7__binaryza7001693za7, BGl__openzd2inputzd2binaryzd2file1669zd2zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_binaryzd2portzf3zd2envzf3zz__binaryz00, BgL_bgl__binaryza7d2portza7f3za721za7za7__binaryza7001694z00, BGl__binaryzd2portzf3z21zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_openzd2outputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl__openza7d2outputza7d2binaryza7d2file1665za7d2za7za7__binaryza7001695za7, BGl__openzd2outputzd2binaryzd2file1665zd2zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_inputzd2charzd2envz00zz__binaryz00, BgL_bgl__inputza7d2char1679za7d2za7za7__binaryza7001696za7, BGl__inputzd2char1679zd2zz__binaryz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_inputzd2objzd2envz00zz__binaryz00, BgL_bgl__inputza7d2obj1673za7d2za7za7__binaryza7001697za7, BGl__inputzd2obj1673zd2zz__binaryz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long BgL_checksumz00_556, char * BgL_fromz00_557)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__binaryz00))
{ 
BGl_requirezd2initializa7ationz75zz__binaryz00 = 
BBOOL(((bool_t)0)); 
BGl_importedzd2moduleszd2initz00zz__binaryz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* binary-port? */
BGL_EXPORTED_DEF bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 105 */
return 
BINARY_PORTP(BgL_objz00_1);} 
}



/* _binary-port? */
obj_t BGl__binaryzd2portzf3z21zz__binaryz00(obj_t BgL_envz00_523, obj_t BgL_objz00_524)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 105 */
{ /* ./Llib/binary.scm 106 */
bool_t BgL_auxz00_563;
BgL_auxz00_563 = 
BINARY_PORTP(BgL_objz00_524); 
return 
BBOOL(BgL_auxz00_563);} } 
}



/* open-output-binary-file */
BGL_EXPORTED_DEF obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_2)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 111 */
return 
open_output_binary_file(BgL_strz00_2);} 
}



/* _open-output-binary-file1665 */
obj_t BGl__openzd2outputzd2binaryzd2file1665zd2zz__binaryz00(obj_t BgL_envz00_525, obj_t BgL_strz00_526)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 111 */
return 
open_output_binary_file(BgL_strz00_526);} 
}



/* append-output-binary-file */
BGL_EXPORTED_DEF obj_t BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_3)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 117 */
return 
append_output_binary_file(BgL_strz00_3);} 
}



/* _append-output-binary-file1667 */
obj_t BGl__appendzd2outputzd2binaryzd2file1667zd2zz__binaryz00(obj_t BgL_envz00_527, obj_t BgL_strz00_528)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 117 */
return 
append_output_binary_file(BgL_strz00_528);} 
}



/* open-input-binary-file */
BGL_EXPORTED_DEF obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_4)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 123 */
return 
open_input_binary_file(BgL_strz00_4);} 
}



/* _open-input-binary-file1669 */
obj_t BGl__openzd2inputzd2binaryzd2file1669zd2zz__binaryz00(obj_t BgL_envz00_529, obj_t BgL_strz00_530)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 123 */
return 
open_input_binary_file(BgL_strz00_530);} 
}



/* close-binary-port */
BGL_EXPORTED_DEF obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t BgL_portz00_5)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 129 */
return 
close_binary_port(BgL_portz00_5);} 
}



/* _close-binary-port1671 */
obj_t BGl__closezd2binaryzd2port1671z00zz__binaryz00(obj_t BgL_envz00_531, obj_t BgL_portz00_532)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 129 */
return 
close_binary_port(BgL_portz00_532);} 
}



/* input-obj */
BGL_EXPORTED_DEF obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t BgL_portz00_6)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 135 */
return 
input_obj(BgL_portz00_6);} 
}



/* _input-obj1673 */
obj_t BGl__inputzd2obj1673zd2zz__binaryz00(obj_t BgL_envz00_533, obj_t BgL_portz00_534)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 135 */
return 
input_obj(BgL_portz00_534);} 
}



/* output-obj */
BGL_EXPORTED_DEF obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t BgL_portz00_7, obj_t BgL_objz00_8)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 141 */
return 
output_obj(BgL_portz00_7, BgL_objz00_8);} 
}



/* _output-obj1675 */
obj_t BGl__outputzd2obj1675zd2zz__binaryz00(obj_t BgL_envz00_535, obj_t BgL_portz00_536, obj_t BgL_objz00_537)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 141 */
return 
output_obj(BgL_portz00_536, BgL_objz00_537);} 
}



/* output-char */
BGL_EXPORTED_DEF obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t BgL_portz00_9, char BgL_charz00_10)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 147 */
return 
BGL_OUTPUT_CHAR(BgL_portz00_9, BgL_charz00_10);} 
}



/* _output-char1677 */
obj_t BGl__outputzd2char1677zd2zz__binaryz00(obj_t BgL_envz00_538, obj_t BgL_portz00_539, obj_t BgL_charz00_540)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 147 */
{ /* ./Llib/binary.scm 148 */
char BgL_auxz00_579;
BgL_auxz00_579 = 
CCHAR(BgL_charz00_540); 
return 
BGL_OUTPUT_CHAR(BgL_portz00_539, BgL_auxz00_579);} } 
}



/* input-char */
BGL_EXPORTED_DEF obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t BgL_portz00_11)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 153 */
{ /* ./Llib/binary.scm 154 */
int BgL_charz00_553;
BgL_charz00_553 = 
BGL_INPUT_CHAR(BgL_portz00_11); 
if(
BGL_INT_EOFP(BgL_charz00_553))
{ /* ./Llib/binary.scm 154 */
return BEOF;}  else 
{ /* ./Llib/binary.scm 154 */
unsigned char BgL_auxz00_585;
{ /* ./Llib/binary.scm 154 */
long BgL_auxz00_586;
BgL_auxz00_586 = 
(long)(BgL_charz00_553); 
BgL_auxz00_585 = 
(BgL_auxz00_586); } 
return 
BCHAR(BgL_auxz00_585);} } } 
}



/* _input-char1679 */
obj_t BGl__inputzd2char1679zd2zz__binaryz00(obj_t BgL_envz00_541, obj_t BgL_portz00_542)
{ AN_OBJECT;
{ /* ./Llib/binary.scm 153 */
{ /* ./Llib/binary.scm 154 */
int BgL_charz00_555;
BgL_charz00_555 = 
BGL_INPUT_CHAR(BgL_portz00_542); 
if(
BGL_INT_EOFP(BgL_charz00_555))
{ /* ./Llib/binary.scm 154 */
return BEOF;}  else 
{ /* ./Llib/binary.scm 154 */
unsigned char BgL_auxz00_593;
{ /* ./Llib/binary.scm 154 */
long BgL_auxz00_594;
BgL_auxz00_594 = 
(long)(BgL_charz00_555); 
BgL_auxz00_593 = 
(BgL_auxz00_594); } 
return 
BCHAR(BgL_auxz00_593);} } } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00()
{ AN_OBJECT;
{ /* ./Llib/binary.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__binary"); 
return 
BGl_modulezd2initializa7ationz75zz__intextz00(((long)11141), "__binary");} 
}

